[Unit]
Description={{ artifact_description }}
After=network-online.target

[Service]
Type=simple
User={{ artifact_user }}
Group={{ artifact_group }}
ExecStart=/usr/local/bin/{{ artifact_bin_name }} {{ artifact_start_arguments }}

StartLimitInterval=0
SyslogIdentifier={{ artifact_syslog_dentifier }}
Restart=always
RestartSec=1

PrivateTmp=yes
{% for m in ansible_mounts if m.mount == '/home' %}
ProtectHome=read-only
{% else %}
ProtectHome=yes
{% endfor %}
NoNewPrivileges=yes

{% if artifact_systemd_version | int >= 232 %}
ProtectSystem=strict
ProtectControlGroups=true
ProtectKernelModules=true
ProtectKernelTunables=yes
{% else %}
ProtectSystem=full
{% endif %}
{% if artifact_write_path is defined %}
ReadWritePaths={{ artifact_write_path }}
{% endif %}
{% for option in artifact_service_options %}
{{ option }}
{% endfor %}

[Install]
WantedBy=multi-user.target
